import { environment } from '../environments/environment';

export class AppConfig {

  public static Origin: string = environment.baseUrl;

  public static ApiPaths = {
    getAllResources: `${AppConfig.Origin}/resource/getAllResources`,
    getResourcesForApproval: `${AppConfig.Origin}/admin/getResourceForApproval`,
    getResource: `${AppConfig.Origin}/resource/get`,
    approveResource: `${AppConfig.Origin}/admin/approve`,

    getFile: `${AppConfig.Origin}/resource/file`,

    saveResource: `${AppConfig.Origin}/resource/saveResource`,
      searchResource: `${AppConfig.Origin}/resource/search`,
      addFile: `${AppConfig.Origin}/resource/add`,


    getAllLanguages: `${AppConfig.Origin}/codebooks/getAllLanguages`,
    getAllSectors: `${AppConfig.Origin}/codebooks/getAllSectors`,
    getAllCountries: `${AppConfig.Origin}/codebooks/getAllCountries`,
    getAllResourceTypes: `${AppConfig.Origin}/codebooks/getAllResourceTypes`,
    getAllProjects: `${AppConfig.Origin}/codebooks/getAllProjects`,
    getAllPests: `${AppConfig.Origin}/codebooks/getAllPests`,
    getAllCrops: `${AppConfig.Origin}/codebooks/getAllCrops`,
    getAllKeywords: `${AppConfig.Origin}/codebooks/getAllKeywords`,

    login:`${AppConfig.Origin}/authenticate`






  };

}

